# DataExchange
TKVRML
VrmlConverter

# VrmlConverter_ShadedShape Class Reference

ShadedShape - computes the shading presentation of shapes
by triangulation algorithms, converts this one into VRML objects
and writes (adds) into anOStream.
All requested properties of the representation including
the maximal chordial deviation are specify in aDrawer.
This kind of the presentation is converted into
IndexedFaceSet ( VRML ).
.

`#include <VrmlConverter_ShadedShape.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (Standard_OStream &anOStream, const TopoDS_Shape &aShape, const Handle(VrmlConverter_Drawer)&aDrawer)
static Standard_EXPORT void | ComputeNormal (const TopoDS_Face &aFace, Poly_Connect &pc, TColgp_Array1OfDir &Nor)

## Member Function Documentation

static Standard_EXPORT void VrmlConverter_ShadedShape::Add | ( | Standard_OStream & | anOStream,
|  | const TopoDS_Shape & | aShape,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_ShadedShape::ComputeNormal | ( | const TopoDS_Face & | aFace,
|  | Poly_Connect & | pc,
|  | TColgp_Array1OfDir & | Nor
| ) | `[static]`

void VrmlConverter_ShadedShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* VrmlConverter_ShadedShape::operator new | ( | size_t | size | ) | `[inline]`

void* VrmlConverter_ShadedShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- VrmlConverter_ShadedShape.hxx